import { Texture } from "pixi.js"
import { Component } from "ecsy"
import { Vector } from "../Datatypes/MathTypes/vector"

// Door component
export class Door extends Component {
  open: boolean

  openOffset: Vector
  closedOffset: Vector

  openTex: Texture
  closedTex: Texture

  reset() {
    this.open = false

    this.openOffset = new Vector(0, 0)
    this.closedOffset = new Vector(0, 0)

    this.openTex = null
    this.closedTex = null
  }
}
